#
# spec file for package python3-paramiko
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-paramiko
Version:        1.15.2
Release:        3.2
Url:            https://github.com/paramiko/paramiko/
Summary:        SSH2 protocol library
License:        LGPL-2.1+
Group:          Development/Languages/Python
Source:         https://pypi.python.org/packages/source/p/paramiko/paramiko-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3-ecdsa
BuildRequires:  python3-pycrypto >= 2.1
Requires:       python3-ecdsa
Requires:       python3-pycrypto >= 2.1
BuildArch:      noarch

%description
This is a library for making SSH2 connections (client or server).
Emphasis is on using SSH2 as an alternative to SSL for making secure
connections between python scripts.  All major ciphers and hash methods
are supported.  SFTP client and server mode are both supported too.

%prep
%setup -q -n paramiko-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
LANG=en_US.UTF-8 python3 test.py

%files
%defattr(-,root,root)
%doc LICENSE README demos docs
%{python3_sitelib}/*

%changelog
* Fri Jan  9 2015 arun@gmx.de
- specfile: update copyright year
- update to 1.15.2:
  * fix bug 413: Be significantly smarter about polling & timing
    behavior when running proxy commands, to avoid unnecessary (often
    100%%!) CPU usage.
* Thu Oct  2 2014 andrea@opensuse.org
- rebuild for python3
